Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.nio.reactor
Interface IOEventDispatch

All Known Implementing Classes:
  AbstractIODispatch, DefaultClientIOEventDispatch, DefaultHttpClientIODispatch, DefaultHttpServerIODispatch, DefaultServerIOEventDispatch, SSLClientIOEventDispatch, SSLClientIOEventDispatch, SSLServerIOEventDispatch, SSLServerIOEventDispatch

    public interface IOEventDispatch

IOEventDispatch interface is used by I/O reactors to notify clients of I/O events pending for a particular session. All methods of this interface are executed on a dispatch thread of the I/O reactor. Therefore, it is important that processing that takes place in the event methods will not block the dispatch thread for too long, as the I/O reactor will be unable to react to other events.

Since:
  4.0

Field Summary
`static String` | `CONNECTION_KEY` Attribute name of an object that represents a non-blocking connection.

Method Summary
`void` | `connected(IOSession session)` Triggered after the given session has been just created.
`void` | `disconnected(IOSession session)` Triggered when the given session has been terminated.
`void` | `inputReady(IOSession session)` Triggered when the given session has input pending.
`void` | `outputReady(IOSession session)` Triggered when the given session is ready for output.
`void` | `timeout(IOSession session)` Triggered when the given session as timed out.

Field Detail

### CONNECTION_KEY

    static final String CONNECTION_KEY

  Attribute name of an object that represents a non-blocking connection.

  See Also:
    Constant Field Values

Method Detail

### connected

    void connected(IOSession session)

  Triggered after the given session has been just created.

  Parameters:
    `session` - the I/O session.

### inputReady

    void inputReady(IOSession session)

  Triggered when the given session has input pending.

  Parameters:
    `session` - the I/O session.

### outputReady

    void outputReady(IOSession session)

  Triggered when the given session is ready for output.

  Parameters:
    `session` - the I/O session.

### timeout

    void timeout(IOSession session)

  Triggered when the given session as timed out.

  Parameters:
    `session` - the I/O session.

### disconnected

    void disconnected(IOSession session)

  Triggered when the given session has been terminated.

  Parameters:
    `session` - the I/O session.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.